Debian Bug report logs - #694708
ITP: ruby-jbuilder -- A ruby gem that gives a simple DSL for declaring JSON structure.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominick Ray <ray.dominick@gmail.com>

Date: Thu, 29 Nov 2012 10:57:01 UTC

Owned by: Cédric Boutillier <boutil@debian.org>

Severity: wishlist

Fixed in version ruby-jbuilder/1.4.1-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694708; Package wnpp. (Thu, 29 Nov 2012 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominick Ray <ray.dominick@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 29 Nov 2012 10:57:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominick Ray <ray.dominick@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-jbuilder -- A ruby gem that gives a simple DSL for declaring JSON structure.
Date: Thu, 29 Nov 2012 16:25:33 +0530
Package: wnpp
Severity: wishlist
Owner: Dominick Ray <ray.dominick@gmail.com>

* Package name    : ruby-jbuilder
  Version         : 0.9.0
  Upstream Author : David Heinemeier Hansson <david@loudthinking.com>
* URL             : http://rubygems.org/gems/jbuilder
* License         : MIT
  Programming Lang: Ruby
  Description     : A ruby gem to create JSON structures via a Builder-style DSL

Jbuilder gives you a simple DSL for declaring JSON structures that
beats massaging giant hash structures. This is particularly helpful
when the generation process is fraught with conditionals and loops.



Added indication that bug 694708 blocks 703185 Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Thu, 28 Mar 2013 22:33:05 GMT) Full text and rfc822 format available.

Message sent on to Dominick Ray <ray.dominick@gmail.com>:
Bug#694708. (Thu, 28 Mar 2013 22:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 694708-submitter@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: 694708-submitter@bugs.debian.org
Subject: Any news?
Date: Thu, 28 Mar 2013 23:29:06 +0100
[Message part 1 (text/plain, inline)]
Hi!

I am interested in this package as it appears as a dependency for
ruby-gon (ITP #703185).

If you are still interested in this package, you may wish to maintain
this package in a team. Then, come and join the Ruby Extras Team on
alioth: http://alioth.debian.org/projects/pkg-ruby-extras.

Contact the debian-ruby@lists.debian.org mailing list if you need
advice/sponsoring.

Cheers,

Cédric
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominick Ray <ray.dominick@gmail.com>:
Bug#694708; Package wnpp. (Tue, 02 Apr 2013 13:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to ray.dominick@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominick Ray <ray.dominick@gmail.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 02 Apr 2013 13:27:04 GMT) Full text and rfc822 format available.


Message #15 received at 694708@bugs.debian.org (full text, mbox):

From: ray.dominick@gmail.com
To: 694708@bugs.debian.org
Date: Tue, 2 Apr 2013 13:23:52 +0000
Hi,

You can take the ownership of the package, as I don't immediately have time to work on this.

Regards
Dominick
Sent on my BlackBerry® from Vodafone

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominick Ray <ray.dominick@gmail.com>:
Bug#694708; Package wnpp. (Thu, 11 Apr 2013 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <boutil@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominick Ray <ray.dominick@gmail.com>. (Thu, 11 Apr 2013 22:39:04 GMT) Full text and rfc822 format available.

Message #20 received at 694708@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 694708@bugs.debian.org
Cc: ray.dominick@gmail.com
Subject: taking over this ITP
Date: Fri, 12 Apr 2013 00:36:08 +0200
Control: owner -1 !

Hi!

Thank you. I am thus taking over this ITP. This package will be
maintained in the repository of the Ruby team. Feel free when you have
time to join and help maintaining this package if you wish.

Cheers,

Cédric



Owner changed from Dominick Ray <ray.dominick@gmail.com> to Cédric Boutillier <boutil@debian.org>. Request was from Cédric Boutillier <boutil@debian.org> to 694708-submit@bugs.debian.org. (Thu, 11 Apr 2013 22:39:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 01 Jun 2013 08:06:05 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Tue, 02 Jul 2013 12:03:26 GMT) Full text and rfc822 format available.

Notification sent to Dominick Ray <ray.dominick@gmail.com>:
Bug acknowledged by developer. (Tue, 02 Jul 2013 12:03:26 GMT) Full text and rfc822 format available.

Message #29 received at 694708-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 694708-close@bugs.debian.org
Subject: Bug#694708: fixed in ruby-jbuilder 1.4.1-1
Date: Tue, 02 Jul 2013 12:00:08 +0000
Source: ruby-jbuilder
Source-Version: 1.4.1-1

We believe that the bug you reported is fixed in the latest version of
ruby-jbuilder, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694708@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated ruby-jbuilder package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 31 May 2013 23:58:14 +0200
Source: ruby-jbuilder
Binary: ruby-jbuilder
Architecture: source all
Version: 1.4.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 ruby-jbuilder - creation of JSON structures via a Builder-style DSL
Closes: 694708
Changes: 
 ruby-jbuilder (1.4.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #694708)
Checksums-Sha1: 
 9a86c5369e225939b9986c854076d3eeae6d5649 2127 ruby-jbuilder_1.4.1-1.dsc
 9037a77de0fe0463fc8c0e3822dbf5932d3b6598 13691 ruby-jbuilder_1.4.1.orig.tar.gz
 a1521962bff93f1ec5f7f71d16f2e1a6efdd96b5 2254 ruby-jbuilder_1.4.1-1.debian.tar.gz
 685689d0e8339d0da7911dcfd276e3ecc63c889b 11018 ruby-jbuilder_1.4.1-1_all.deb
Checksums-Sha256: 
 da0dd37cb10e0c16a9b6d0c62790d218de77e7762ef9b3d85f3ca8671311d0e3 2127 ruby-jbuilder_1.4.1-1.dsc
 ce52bff4c30408a38b47cc517bc9b518d66ea11e0ee9b0d2a2b0e42f723eafb0 13691 ruby-jbuilder_1.4.1.orig.tar.gz
 c4bb857b23ac1106accc18dac4904f05922f3c27f072de40d3007e475d8cc458 2254 ruby-jbuilder_1.4.1-1.debian.tar.gz
 efc2a22f98128c880037e10509889bdb93613a064c5763f01431d9167d685894 11018 ruby-jbuilder_1.4.1-1_all.deb
Files: 
 5aea6352b22c984c231cea752131de98 2127 ruby optional ruby-jbuilder_1.4.1-1.dsc
 07263f2eb3c1ef072e673441a0b9c18c 13691 ruby optional ruby-jbuilder_1.4.1.orig.tar.gz
 4032642b780634d36c1704e5a73626c9 2254 ruby optional ruby-jbuilder_1.4.1-1.debian.tar.gz
 2cd81e861c8c9456cf98a86b9a3bffb4 11018 ruby optional ruby-jbuilder_1.4.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRqSrzAAoJENpJWPYR4Unplj0QAJSAvUTiQ80exqi1VVKUr8Kl
y/uzHl9rY13HKVujvkJ+THsryqXCLIqzfGZubT2191k8e4RIsgxD+byhtMdDHi8z
rXrvRcRakqCYzJvsCiaAu/Q7za+kO+mrMCqQUKtakYiwYONva0gdIIUbDfUfjUv1
iBvqrO/tjkmuoV1/ra6XOTcIydrEnlbVqs8ZScQbwYaOZvdwLCX1Z++IkE9pdh9D
91/kAj4T/rEyTYCH7EAcuEXPdnzBOc0FMz70PWowLb2Rd+ID4RPKpaMF+57zZ9F4
qZdo5mO+DBMruyvA9is8SvzqU3O4ypChqrfirxfr1vu0JWFilyfloIkbbvjb2qR1
pVL8bj2v+vOCfleBEr5b4AZS94QvTjjBfyOJdX4+iVC2YmsjFCy+XoNf5qZhLtiD
NVBAw2LdVuIc/mQZFZqurlgI5V0q/5t7LBx0T6fXC1oZbBOstoXWcDKG4y9BDING
hnOsvjdDgWnD+GpFlAYK6OTtm5AwAOUuKADla1iHs94VFeQOfCGLL15SygC45MnD
cjaZ5pvlt0CazgAODiNK6m02bp4QtTxB/HyH9xV6HWjLLF/kRGN+j89A+1dEWx8O
v1jCK7lepHPW6DBKeBNYMrWeiVQ7okjh7YFf7kOW38adUZO0F47t3hZKBtUboD6p
K3t8+yMpl//isgtz5GFw
=cm7c
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Jul 2013 07:26:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:14:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.